Forums

Resolved
0 votes
I am trying to install OpenVPN on a new ClearOS system.

I try to use the web console utility and I get the following error.

Exception: [u'ERROR with transaction check vs depsolve:', 'app-certificate-manager-core = 1:2.4.21-1.v7 is needed by app-certificate-manager-1:2.4.21-1.v7.noarch']


If I login to the server via ssh I can install openvpn-2.4.4-1.el7.x86_64, but I don't have a tool to manage openvpn via the web console.

I have attached a list of the installed packages on my server.

Any help would be appreciated.

Dirkus
In OpenVPN
Sunday, July 08 2018, 02:14 AM
Share this post:
Responses (3)
  • Accepted Answer

    Sunday, July 08 2018, 03:20 PM - #Permalink
    Resolved
    0 votes
    Ben's recommendation was the secret sauce I was missing. I have been able to install OpenVPN on my server.

    Thanks Ben and Nick.

    Dirkus
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, July 08 2018, 01:01 PM - #Permalink
    Resolved
    0 votes
    Nick's recommendation should probably work, but in case you're in a trial or paid subscription of Home or Business, you may be in a situation where you're on a different set of repos.

    If this is the case, this will work for sure across all systems:


    yum --enablerepo=clearos-updates install app-certificate-manager


    B
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, July 08 2018, 06:28 AM - #Permalink
    Resolved
    0 votes
    I have a feeling you need to do a full update to 7.5 first. Please can you do a "yum update". Then try again.

    Not critical to this issue but at some point in /etc/samba/smb.conf change line:
    allow trusted domains = No
    to
    allow trusted domains = Yes
    or add it if it is missing.
    The reply is currently minimized Show
Your Reply